if(isPackage("setWorldSpaceMovementPackage"))
	deactivatePackage("setWorldSpaceMovementPackage");
package setWorldSpaceMovementPackage
{
	function Player::setWorldSpaceMovement(%this, %bool)
	{
		parent::setWorldSpaceMovement(%this, %bool);
		if(!isObject(%this))
			return;
		
		//we """"""""""""""""""""""""""fix"""""""""""""""""""""""""" the speeds here as the default movement speeds are inconsistent in this movement mode.
		%data = %this.getDatablock();
		if(%bool)
		{
			%this.setMaxForwardSpeed(%data.maxForwardSpeed);
			%this.setMaxSideSpeed(%data.maxForwardSpeed);
			%this.setMaxBackwardSpeed(%data.maxForwardSpeed);
			
			%this.setMaxCrouchForwardSpeed(%data.maxForwardCrouchSpeed);
			%this.setMaxCrouchSideSpeed(%data.maxForwardCrouchSpeed);
			%this.setMaxCrouchBackwardSpeed(%data.maxForwardCrouchSpeed);
			
			%this.setMaxUnderwaterForwardSpeed(%data.maxForwardCrouchSpeed);
			%this.setMaxUnderwaterSideSpeed(%data.maxForwardCrouchSpeed);
			%this.setMaxUnderwaterBackwardSpeed(%data.maxForwardCrouchSpeed);
		}
		else
		{
			%this.setMaxForwardSpeed(%data.maxForwardSpeed);
			%this.setMaxSideSpeed(%data.maxSideSpeed);
			%this.setMaxBackwardSpeed(%data.maxBackwardSpeed);
			
			%this.setMaxCrouchForwardSpeed(%data.maxForwardCrouchSpeed);
			%this.setMaxCrouchSideSpeed(%data.maxSideCrouchSpeed);
			%this.setMaxCrouchBackwardSpeed(%data.maxBackwardCrouchSpeed);
			
			%this.setMaxUnderwaterForwardSpeed(%data.maxForwardCrouchSpeed);
			%this.setMaxUnderwaterSideSpeed(%data.maxSideCrouchSpeed);
			%this.setMaxUnderwaterBackwardSpeed(%data.maxBackwardCrouchSpeed);
		}
	}
};
activatePackage("setWorldSpaceMovementPackage");

registerOutputEvent("Player", "setWorldSpaceMovement", "bool");